require 'spec_helper'

describe "Render Spec" do
  describe Silverdot::Alternative do
    it "gets to string its instance" do
      example = Silverdot::Alternative.new('test')
      example.to_s.should eq('{{ test }}')
    end

    it "gets to string with parent alternative" do
      parent = Silverdot::Alternative.new('parent')
      example = parent.child
      example.to_s.should eq('{{ parent.child }}')
    end

    it "nests deep associations" do
      root = Silverdot::Alternative.new('root')
      root.node.leaf.to_s.should eq('{{ root.node.leaf }}')
      root.node.node.leaf.to_s.should eq('{{ root.node.node.leaf }}')
    end

    it "#each" do
      example = Silverdot::Alternative.new('example')
      example.each { |name| '' }.should eq('{{ _.each(example, function(name){ }}{{ } }}')
    end
  end
end
